libzypp 17.37.10

zypp::LocksCleanPredicate Class Reference

## Public Member Functions
| LocksCleanPredicate (size_t count, callback::SendReport< CleanEmptyLocksReport > &_report)
bool | aborted ()
bool | operator() (const PoolQuery &q)

## Private Attributes
bool | skip_rest
size_t | searched
size_t | all
callback::SendReport< CleanEmptyLocksReport > & | report

## Detailed Description

Definition at line 275 of file Locks.cc.

## Constructor & Destructor Documentation

## ◆ LocksCleanPredicate()

zypp::LocksCleanPredicate::LocksCleanPredicate | ( | size_t | count,
|  | callback::SendReport< CleanEmptyLocksReport > & | _report )
| inline

Definition at line 283 of file Locks.cc.

## Member Function Documentation

## ◆ aborted()

bool zypp::LocksCleanPredicate::aborted | ( |  | ) |
| inline

Definition at line 285 of file Locks.cc.

## ◆ operator()()

bool zypp::LocksCleanPredicate::operator() | ( | const PoolQuery & | q | ) |
| inline

Definition at line 287 of file Locks.cc.

## Member Data Documentation

## ◆ skip_rest

bool zypp::LocksCleanPredicate::skip_rest
| private

Definition at line 277 of file Locks.cc.

## ◆ searched

size_t zypp::LocksCleanPredicate::searched
| private

Definition at line 278 of file Locks.cc.

## ◆ all

size_t zypp::LocksCleanPredicate::all
| private

Definition at line 279 of file Locks.cc.

## ◆ report

callback::SendReport<CleanEmptyLocksReport>& zypp::LocksCleanPredicate::report
| private

Definition at line 280 of file Locks.cc.

The documentation for this class was generated from the following file:

- zypp/Locks.cc